--Version Date 5-29-06

--Run this set of scripts from your Company Database where you want to 
--copy reports. You can run from multiple companies, and only reports 
--with a unique Report ID will be copied to the DRM tables.  So choose
--the company with the most reports you want to keep first.

--COPY REPORT MASTER FROM CI TO DRM
INSERT INTO DYNAMICS..DRM101
SELECT
RPTID, 1, CIReportGroup, RPTDISPNAME,
(SELECT RTRIM(LTRIM(PHYSPATH)) FROM RSCI0001)+RPTPHYSNAME, 
PARAMCOUNT, 0, ABS(CIRGAccess-1), 1, NOTEINDX FROM RSCI0014 
WHERE NOT EXISTS(SELECT * FROM DYNAMICS..DRM101 WHERE DYNAMICS..DRM101.DRM_Report_ID = RSCI0014.RPTID)

--COPY PARAMETERS FROM CI TO DRM
INSERT INTO DYNAMICS..DRM301
SELECT
RPTID,PARAMSEQ,PARAMDESC,PARAMDESC,PARAMTYPE,CIDTTM,CILOOKUPID,1,0,CI_Is_Range_Parameter
FROM RSCI0013
WHERE NOT EXISTS(SELECT * FROM DYNAMICS..DRM301 
WHERE DYNAMICS..DRM301.DRM_Report_ID = RSCI0013.RPTID AND DYNAMICS..DRM301.DRM_Parameter_Sequence = RSCI0013.PARAMSEQ)

--COPY REPORT DESTINATION SETTINGS FROM CI TO DRM
INSERT INTO DYNAMICS..DRM104
SELECT
RPTID, '!!ALL', 0, 11, 0,
CIPRNID, 0, COPYCOUNT, '',
CI_RVO_Export, CI_RVO_Group_Tree, CI_RVO_Refresh, CI_RVO_Select_Expert, 
CI_RememberParmsInViewer, CI_Page_Orientation, 0, 0, 0, 1 FROM RSCI0014 
WHERE NOT EXISTS(SELECT * FROM DYNAMICS..DRM104 WHERE DYNAMICS..DRM104.DRM_Report_ID = RSCI0014.RPTID) 

--COPY USER ACCESS TO REPORTS
--SELECT * FROM DYNAMICS..DRM106
--SELECT * FROM RSCI0010
INSERT INTO DYNAMICS..DRM106 SELECT RPTID, USERID FROM RSCI0010
WHERE NOT EXISTS(SELECT * FROM DYNAMICS..DRM106 WHERE DYNAMICS..DRM106.DRM_Report_ID = RSCI0010.RPTID AND DYNAMICS..DRM106.USERID = RSCI0010.USERID)


--TABLE DEFINITION FOR DRM101 (DRM Report Master)
/*
SELECT * FROM DYNAMICS..DRM101
SELECT
DRM_Report_ID,DRM_Report_Type,DRM_Group,DRM_Report_Display_Name,DRM_Report_Tech_Name,
DRM_Parameter_Count,DRM_Override_Global_Conn,DRM_Access_Users,DRM_Access_Companies,NOTEINDX
FROM DYNAMICS..DRM101
*/

--TABLE DEFINITION FOR DRM104 (DRM Report Destination Master)
/*
SELECT * FROM DYNAMICS..DRM104
SELECT
DRM_Report_ID,USERID,CMPANYID,DRM_Destination_Value,DRM_CB_Ask,
DRM_Printer_ID,DRM_Papersource,DRM_Copy_Count,DRM_PDF_Filename,
DRM_RVO_Export,DRM_RVO_Group_Tree,DRM_RVO_Refresh,DRM_RVO_Select_Expert,
DRM_RVO_Remember_Param,DRM_Page_Orientation,DRM_SRS_Hide_Toolbar,
DRM_SRS_Collapse_Params,DRM_SRS_Hide_Params,DRM_SRS_Zoom
FROM DYNAMICS..DRM104
*/

--TABLE DEFINITION FOR RSCI0014 (CI Report Master)
/*
SELECT * FROM RSCI0014
SELECT
RPTID,RPTDISPNAME,RPTPHYSNAME,PARAMCOUNT,CITriggerType,PRODID,CIFormMain,
CIWindowMain,CI_Accelerator_Key,CIReportGroup,CIASK,CIDEST,COPYCOUNT,CIPRNID,
CI_RG_Security,CI_Use_Alternate_DSN,CI_DSN_Name,CIUsername,CIPassword,
CIUseCompanyDatabase,CIRGAccess,CI_Page_Orientation,CI_Do_Not_Remember_Param,
CI_RVO_Export,CI_RVO_Group_Tree,CI_RVO_Refresh,CI_RVO_Select_Expert,
CI_RememberParmsInViewer,NOTEINDX
FROM RSCI0014
*/

--TABLE DEFINITION FOR DRM301 (DRM Parameter Master)
/*
SELECT * FROM DYNAMICS..DRM301
SELECT
DRM_Report_ID,DRM_Parameter_Sequence,DRM_Parameter_Name,DRM_Parameter_Prompt,DRM_Parameter_Datatype,
DRM_CB_Convert_DateTime,DRM_Lookup_ID,DRM_CB_Pass_Parameter,DRM_CB_Multiple_Values,DRM_CB_Range_Values
FROM DYNAMICS..DRM301
*/

--TABLE DEFINITION FOR RSCI0013 (CI Parameter Master)
/*
SELECT * FROM RSCI0013
SELECT
RPTID,PARAMSEQ,PARAMDESC,PARAMTYPE,CIPARAMVAL,CIParamValueSource,
CIParamValueCalc,CIDTTM,PRODID,CIFormMain,CIWindowMain,CIFieldMain,
CILOOKUPID,CI_Is_Range_Parameter,CI_Pass_Blank_Strings
FROM RSCI0013
*/
